package com.brilliance.isc.bo.lg;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.model.Gidgrp;
import com.brilliance.isc.bo.model.Oldgidgrp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class GitpplStoreBo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date chgdat;
    private Gidgrp oldgidgrp;
    private  BigDecimal chgamt = Decimals.ZERO_SCALE2;


    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if (oldgidgrp == null) {
            oldgidgrp = new Gidgrp();
        }
        oldgidgrp.reset();
    }
}
